Kismet Wireless

Kismet Forums

 

Posted by:band-aid
Subject:Compiling from source Dependency hell
Date:16:25:30 07/01/2007

> > I am using Ubuntu Edgy Eft on a 4 day old install. When I do configure I get 4 errors. The script completes but I am afraid that if I do not resolve these issues then I will regret it later.
> >
> > I am missing
> >
> > uClibc++
> > Expat XML library
> > GMP math library
> > Magick-config
> >
> > If I read the configure output correctly these have to do with the GPS features. This is something that I want to ensure I works correctly. I already have imagemagick installed and I installed uClibc++ but I don't think it is in the directory that configure expects it to be in. I've been working on this for a couple of hours and am going to sleep on it. Can anyone help me get these issues worked out?
> >
> > Thanks,
> > Band-aid
>
> I don't know how it is in edgy Eft cause i'm using OpenSuse. Here i had to install all the devel RPMs! So ckeck if you've installed all necessary *-devel packets!
>
> Nils


Ok I've installed anything that had "dev" in it and that had to do with the things it said were missing. I think its going to work but geeze I feel like I've just taken a sledgehammer to a gnat with all this extra crap that must have been installed. I wish there was a central repository that had all these libraries that way you don't have to install 50 in order to get the 1...


Reply to this message